package com.bytedance.android.live_settings;

import X.M12;
import com.bytedance.covode.number.Covode;

public final class MonitorImpl implements Monitor {
    public final boolean isDebug;

    static {
        Covode.recordClassIndex(11182);
    }

    public final void performanceMonitor(String str, long j) {
        M12.LIZ(str);
    }

    public MonitorImpl(boolean z) {
        this.isDebug = z;
    }

    public final void reportException(String str, String str2) {
        M12.LIZ(str, str2);
        if (this.isDebug) {
            throw new Throwable(str + ' ' + str2);
        }
    }
}
